Bug 120375 - policy-sources %post script should pass -W options to make.
Summary: policy-sources %post script should pass -W options to make.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 05:12 UTC by Aleksey Nogin
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 1.10.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 18:03:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-04-08 05:12:26 UTC
The %post script in the policy-sources package should pass -W options
to make in order to force rebuilding of the policies. Otherwise the
following interesting scenario becomes possible:

1) User installs policy-sources-xxx
2) Red Hat builds a newer policy-sources-yyy package
3) User makes some local mods and rebuilds local policy files.
4) User upgrades to Red Hat's newer policy-sources-yyy package.

Expected:
- policy files should be fully rebuilt

Actual:
- make assumes that the local policy files (timestamped (3) ) are
newer than the "just upgraded" policy source files (timestamped (2) )
and does not do a proper rebuild.
- if the user is "especially lucky", then it could happen that
policy.conf gets rebuilt, but file_contexts is not (or vice versa),
resulting in file_context being invalid w.r.t. the loaded policy.

Comment 1 Daniel Walsh 2004-04-08 12:45:56 UTC
Good point.  Fixed in policy-1.10.1-5


Comment 2 Aleksey Nogin 2004-04-11 18:16:42 UTC
The current "-W /etc/security/selinux/src/policy/users" is probably
sufficient to make sure that policy.conf is rebuilt, but what about
file_contexts?

Comment 3 Daniel Walsh 2004-04-12 11:51:10 UTC
file_contexts is rebuild when policy is rebuilt.

Dan


Note You need to log in before you can comment on or make changes to this bug.